[build-system]
requires = ["setuptools>=64"]
build-backend = "setuptools.build_meta"

[project]
name = "ipyclaude"
dynamic = ["version"]
description = "Minimal IPython backtick-to-AI extension"
readme = "README.md"
requires-python = ">=3.10"
license = {text = "Apache-2.0"}
authors = [{name = "Jeremy Howard", email = "info@answer.ai"}]
dependencies = ["fastcore>=1.12.31", "ipython>=9", "lisette>=0.0.47", "rich", "mistletoe", "ipythonng", "safepyrun", "safecmd", "pyskills"]

[project.urls]
Source = "https://github.com/answerdotai/ipyclaude"

[project.optional-dependencies]
dev = ["build>=1.0.0", "fastship>=0.0.6", "pytest", "pytest-asyncio", "twine>=5.0.0"]

[tool.setuptools.dynamic]
version = {attr = "ipyclaude.__version__"}

[tool.setuptools.packages.find]
include = ["ipyclaude*"]

[tool.pytest.ini_options]
asyncio_mode = "auto"
filterwarnings = ["ignore::DeprecationWarning:pty"]

[tool.fastship]

